WarpBuild LogoWarpBuild Docs
Docker builder

GET /builders

GET
/builders

Authorization

JWTKeyAuth
Authorization<token>

In: header

Query Parameters

profile_id?string

Id for the builder profile

only_running?boolean

Only return running builders

per_page?integer

Number of items per page

page?integer

Page number

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/builders"
{  "builders": [    {      "arch": "string",      "created_at": "string",      "id": "string",      "metadata": {        "ca": "string",        "client_cert": "string",        "client_key": "string",        "gce_instance_name": "string",        "gce_zone": "string",        "host": "string",        "instance_id": "string",        "server_cert": "string",        "server_key": "string"      },      "organization_id": "string",      "profile_id": "string",      "provider": "string",      "request_id": "string",      "secret": "string",      "session_id": "string",      "stack_id": "string",      "status": "string",      "updated_at": "string"    }  ],  "next_page": 0,  "page": 0,  "per_page": 0,  "total_items": 0,  "total_pages": 0}